org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmStructuralTypeImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmStructuralTypeImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmMappable, EdmNamed, EdmStructuralType, EdmType
  Direct Known Subclasses:
    EdmComplexTypeImpl, EdmEntityTypeImpl

      public abstract class EdmStructuralTypeImpl
      extends EdmNamedImpl
      implements EdmStructuralType, EdmAnnotatable

  Objects of this class represent structural type of the entity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EdmStructuralType` | `edmBaseType`
    `protected String` | `namespace`
    `protected EdmComplexType` | `structuralType`

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmStructuralTypeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmStructuralType` | `getBaseType()` Base types are described in the OData protocol specification.
    `EdmStructuralType` | `getEdmBaseType()`
    `EdmTypeKind` | `getEdmTypeKind()`
    `EdmTypeKind` | `getKind()`
    `EdmMapping` | `getMapping()` Get mapping information applied to an EDM element
    `String` | `getNamespace()` Namespace of this `EdmType`
    `List<EdmProperty>` | `getProperties()`
    `EdmTyped` | `getProperty(String name)` Get property by name
    `protected EdmTyped` | `getPropertyInternal(String name)`
    `List<String>` | `getPropertyNames()` Get all property names
    `EdmComplexType` | `getStructuralType()`
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setEdmBaseType(EdmStructuralType edmBaseType)`
    `void` | `setEdmPropertyNames(List<String> edmPropertyNames)`
    `void` | `setEdmTypeKind(EdmTypeKind edmTypeKind)`
    `void` | `setNamespace(String namespace)`
    `void` | `setProperties(List<EdmProperty> properties)`
    `void` | `setStructuralType(EdmComplexType structuralType)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

- - ### Field Detail

    - #### edmBaseType

          protected EdmStructuralType edmBaseType

    - #### structuralType

          protected EdmComplexType structuralType

    - #### namespace

          protected String namespace

  - ### Constructor Detail

    - #### EdmStructuralTypeImpl

          public EdmStructuralTypeImpl()

  - ### Method Detail

    - #### getEdmBaseType

          public EdmStructuralType getEdmBaseType()

    - #### setEdmBaseType

          public void setEdmBaseType(EdmStructuralType edmBaseType)

    - #### getStructuralType

          public EdmComplexType getStructuralType()

    - #### setStructuralType

          public void setStructuralType(EdmComplexType structuralType)

    - #### getEdmTypeKind

          public EdmTypeKind getEdmTypeKind()

    - #### setEdmTypeKind

          public void setEdmTypeKind(EdmTypeKind edmTypeKind)

    - #### setEdmPropertyNames

          public void setEdmPropertyNames(List<String> edmPropertyNames)

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### getProperties

          public List<EdmProperty> getProperties()

    - #### setProperties

          public void setProperties(List<EdmProperty> properties)

    - #### getNamespace

          public String getNamespace()
                              throws EdmException

      Description copied from interface: `EdmType`
      Namespace of this `EdmType`
      Specified by:
        `getNamespace` in interface `EdmType`
      Returns:
        namespace as String
      Throws:
        `EdmException`

    - #### getProperty

          public EdmTyped getProperty(String name)
                               throws EdmException

      Description copied from interface: `EdmStructuralType`
      Get property by name
      Specified by:
        `getProperty` in interface `EdmStructuralType`
      Returns:
        simple or complex property as `EdmTyped`
      Throws:
        `EdmException`

    - #### getPropertyNames

          public List<String> getPropertyNames()
                                        throws EdmException

      Description copied from interface: `EdmStructuralType`
      Get all property names
      Specified by:
        `getPropertyNames` in interface `EdmStructuralType`
      Returns:
        property names as type List
      Throws:
        `EdmException`

    - #### getBaseType

          public EdmStructuralType getBaseType()
                                        throws EdmException

      Description copied from interface: `EdmStructuralType`
      Base types are described in the OData protocol specification.
      Specified by:
        `getBaseType` in interface `EdmStructuralType`
      Returns:
        `EdmStructuralType`
      Throws:
        `EdmException`

    - #### getKind

          public EdmTypeKind getKind()

      Specified by:
        `getKind` in interface `EdmType`
      Returns:
        `EdmTypeKind` of this `EdmType`

    - #### getMapping

          public EdmMapping getMapping()
                                throws EdmException

      Description copied from interface: `EdmMappable`
      Get mapping information applied to an EDM element
      Specified by:
        `getMapping` in interface `EdmMappable`
      Returns:
        `EdmMapping`
      Throws:
        `EdmException`

    - #### getPropertyInternal

          protected EdmTyped getPropertyInternal(String name)
                                          throws EdmException

      Throws:
        `EdmException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmNamedImpl`

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.